/* Déclaration des variables */
int tension=A0;	/* entrée analogique de la carte Arduino */
int N=0;  	  	/* sortie "numérique" de la carte Arduino	*/

/* Préparation de la carte */
void setup() {
  pinMode(tension, INPUT); /* La broche A0 sera une entrée (input) analogique */
	Serial.begin(9600); 	   /* Cette ligne permet la communication à 9600 bauds
	                          entre la carte et le moniteur série */
}

/* Acquisition et affichage des résultats */
void loop() {
	N=analogRead(tension);	/* N compris entre 0 (si A0 = 0 V) et 1023 (si A0 = 5 V) */
  Serial.println(N);  		/* Affichage de la valeur de l’entier N */
	delay(5000);			      /* Affichage pendant une durée de 5000 ms = 5 s avant la
	                        prochaine acquisition */
}



